DirectX-Diagnoseprogramm

Die Dokumentation zum Microsoft® DirectX®-Diagnoseprogramm enthält folgende Themen:

  • Informationen zum DirectX-Diagnoseprogramm
  • Wonach Sie suchen sollten
  • Testen von DirectX-Komponenten
  • Außer Kraft setzen von Standardverhalten


Informationen zum DirectX-Diagnoseprogramm

Das Microsoft® DirectX® Diagnoseprogramm liefert Informationen zu DirectX-API-Komponenten und -Treibern auf dem System. Sie können damit die Sound- und Grafikausgabe und Microsoft DirectPlay®-Dienstanbieter testen. Es ermöglicht Ihnen außerdem, bestimmte Funktionen für die Hardwarebeschleunigung zu deaktivieren.

Sie können mit diesem Diagnoseprogramm Informationen ermitteln, die Sie z. B. während eines Anrufs beim Support benötigen, und Sie können die Informationen speichern und in eine E-Mail-Nachricht einfügen.

Die Informationen werden auf mehreren Seiten dargestellt. Sie können mit einer der folgenden Methoden von Seite zu Seite wechseln:

  • Klicken Sie auf die Registerkarten.
  • Klicken Sie auf die Schaltfläche Nächste Seite.
  • Drücken Sie die NACH-LINKS-Taste oder die NACH-RECHTS-Taste, wenn sich der Eingabefokus auf einer Registerkarte befindet.

Sie können angeben, wie dieses Programm Tabellen anzeigen soll. Wählen Sie hierzu die Spalte aus, nach der Sie die Tabellenzeilen sortieren möchten. Klicken Sie auf die Kopfzeilenschaltfläche oben an der Spalte. Die Tabelle wird daraufhin basierend auf den Elementen in dieser Spalte in alphabetischer oder numerischer Reihenfolge sortiert. Um die Sortierreihenfolge umzukehren, klicken Sie erneut auf die Kopfzeilenschaltfläche.

Sie können auf die Schaltfläche Alle Informationen speichern klicken, um alle Informationen in einer Textdatei zu speichern.

Anmerkung

  • Einige Informationen, beispielsweise der Speicherplatz auf einer Grafikkarte, können ungefähre Angaben sein.


Hinweise

Falls beim Ausführen von Microsoft® DirectX®-Anwendungen Probleme auftreten, können Sie mithilfe des DirectX-Diagnoseprogramms nach der Ursache für das Problem suchen. Es folgen einige Hinweise zur möglichen Ursache für das Problem:

  • Falsche Versionen von DirectX-Komponenten. Suchen Sie im Abschnitt Anmerkungen auf der Seite DirectX-Dateien nach Warnungen zu Beta- und Debugdateien. Betadateien sind frühe Testversionen und sollten in kommerziellen Anwendungen nicht installiert werden. Debugversionen werden während der Entwicklung von Programmen verwendet und sollten ebenfalls nicht im endgültigen Produkt installiert werden. Debugversionen können dazu führen, dass Anwendungen bedeutend langsamer ausgeführt werden als in den Verkaufsversionen der Komponenten.
  • Fehlende Hardwarebeschleunigung. Einige Programme sind sehr langsam oder können gar nicht ausgeführt werden, wenn die Microsoft DirectDraw®- oder Direct3D®-Hardwarebeschleunigung nicht verfügbar ist. Sehen Sie auf der Seite Anzeige unter DirectX-Funktionen nach, ob DirectDraw-, Direct3D- oder AGP-Oberflächenbeschleunigung als "Nicht verfügbar" gekennzeichnet ist. Falls dies zutrifft, sollten Sie die Hardware aktualisieren.
  • Gerät ist nicht verbunden. Falls ein Joystick oder ein anderes Eingabegerät nicht reagiert, ist dieses Gerät möglicherweise nicht ordnungsgemäß eingerichtet. Stellen Sie sicher, dass das Gerät auf der Seite Eingabe des DirectX-Diagnoseprogramms eingerichtet ist. Ist dies nicht Fall, fügen Sie das Gerät mithilfe der Systemsteuerung hinzu.
  • Nicht signierte Treiber. Microsoft hat keine Test zur vollständigen Kompatibilität von nicht signierten Treibern mit der neusten Version von DirectX durchgeführt. Diese Treiber sind auf der entsprechenden Seite der Komponenten aufgeführt.

Anmerkung: Falls Sie Terminaldienste zur Arbeit in einem Remotesystem verwenden, das Hardwarebeschleunigung unterstützt, zeigt das DirectX-Diagnoseprogramm möglicherweise die Unterstützung für die Hardwarebeschleunigung an. Terminaldienste können die Hardwarebeschleunigung jedoch nicht verwenden, die Unterstützung steht demnach nicht zur Verfügung.


Testen von DirectX-Komponenten

Sie können Microsoft® DirectDraw® und Direct3D® auf jedem mit Ihrem System verbundenen Monitor testen. Außerdem können Sie DirectSound® auf jedem Waveausgabegerät und DirectMusic® an jedem Musikanschluss testen.

So testen Sie eine DirectX-Funktion: Klicken Sie auf der entsprechenden Seite auf die Schaltfläche Testen, lesen Sie alle angezeigten Meldungen, und sehen oder hören Sie sich die Tests an. Lassen Sie die einzelnen Tests laufen, bis Sie eine Meldung sehen, in der Sie gefragt werden, ob der Test erfolgreich war. Wenn Sie mit Nein antworten, werden keine weiteren Tests ausgeführt.

Für DirectMusic gibt es einen einzigen Test. Klicken Sie auf OK, wenn Sie festgestellt haben, ob die Musik korrekt wiedergegeben wird.

Sie können die Microsoft DirectPlay®-Funktionalität bei jedem verfügbaren Dienstanbieter testen.

So testen Sie DirectPlay

  1. Klicken Sie auf der Seite Netzwerk auf DirectPlay testen. Geben Sie im Dialogfeld DirectPlay testen einen Benutzernamen ein, und wählen Sie einen Dienstanbieter aus. Wählen Sie Neue Sitzung erstellen aus, und klicken Sie auf OK. Wenn Sie eine Modemverbindung ausgewählt haben, klicken Sie auf Antworten im Dialogfeld Modemverbindung, um das Modem in den Modus für die automatische Anrufannahme zu versetzen.
  2. Führen Sie nun das Microsoft DirectX®-Diagnoseprogramm auf einem anderen Computer aus, der die ausgewählte Verbindung zum ersten Computer herstellen kann. Klicken Sie auf DirectPlay testen, geben Sie einen anderen Benutzernamen ein, wählen Sie denselben Dienstanbieter aus, klicken Sie auf die Schaltfläche Bestehender Sitzung beitreten, und klicken Sie auf OK.

    Bei manchen Verbindungstypen werden Sie möglicherweise aufgefordert, weitere Informationen, beispielsweise eine Telefonnummer, anzugeben. Für eine TCP/IP-Verbindung in einem lokalen Netzwerk können Sie das Textfeld leer lassen.

  3. Wählen Sie auf dem zweiten Computer in der Sitzungsliste, die den Namen der auf dem ersten Computer erstellten Sitzung enthält, den Namen der Sitzung aus, und klicken Sie dann auf OK.
  4. Auf beiden Computern sollte nun ein Chatdialogfeld angezeigt werden. Geben Sie auf einem Computer eine Nachricht in das Eingabefeld ein, und klicken Sie auf Senden. Die Nachricht sollte auf beiden Computern im Bildlaufbereich des Chatdialogfeldes angezeigt werden.


Außer Kraft setzen von Standardverhalten

Auf der Seite Sound können Sie eine neue Hardwarebeschleunigungsstufe festlegen, indem Sie den Schieberegler verschieben. Diese Stufe bleibt nach dem Schließen des Microsoft® DirectX®-Diagnoseprogramms in Kraft.

Sie können die Hardwarebeschleunigung für Microsoft DirectDraw® oder Direct3D® deaktivieren, wenn sie verfügbar ist. Wechseln Sie hierzu für jedes Anzeigegerät zur Seite Anzeige, und klicken Sie auf die Schaltfläche Deaktivieren. Wenn Sie die Hardwarebeschleunigung deaktiviert haben, ist sie auch nach dem Schließen des Microsoft® DirectX®-Diagnoseprogramms nicht mehr für Anwendungen verfügbar. Klicken Sie auf die Schaltfläche Aktivieren auf der entsprechenden Seite Anzeige, um die Hardwarebeschleunigung wieder zu aktivieren.

Anmerkung

  • Das Deaktivieren der DirectDraw-Beschleunigung deaktiviert auch die Beschleunigung für Direct3D.

Sie können auch die von DirectDraw-Vollbildanwendungen festgelegte Bildschirm-Aktualisierungsrate außer Kraft setzen. Dies sollten Sie nur tun, wenn bei einer Anwendung Anzeigeprobleme auftreten und Sie Grund zu der Annahme haben, dass die Anwendung eine ungültige Aktualisierungsrate festlegt.

So legen Sie eine Außerkraftsetzungs-Aktualisierungsrate fest

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Wählen Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Bearbeitungsfeld aus, und geben Sie eine gültige Aktualisierungsrate für den Monitor ein.

    Das Optionsfeld Wert für die Außerkraftsetzung: wird dann automatisch ausgewählt.

  3. Klicken Sie auf OK.

So machen Sie die Außerkraftsetzungs-Aktualisierungsrate rückgängig und lassen zu, dass DirectDraw-Anwendungen ihre eigene Aktualisierungsrate festlegen

  1. Klicken Sie auf der Seite Weitere Hilfe auf die Schaltfläche Außer Kraft setzen.
  2. Wählen Sie im Dialogfeld DirectDraw-Aktualisierungsverhalten das Optionsfeld Standard aus, und klicken Sie auf OK.